import { Alova, url } from '../alova'

export interface EditorSaveParams {
  baseSetting: any
  aiSetting: any
  navigation: any
  num: any
}

export const getInfo = (num: string) => {
  return Alova.Get(url.getInfo, {
    params: {
      num
    }
  })
}
export const editorSave = (params: EditorSaveParams) => {
  return Alova.Post(url.editorSave, {
    ...params
  })
}
